1. Commissions
Easyteam Retail
  • Home
  • Staff
    • Get all staff members
      GET
    • Get a single staff member
      GET
  • Scheduling
    • Get published shift schedules
      GET
  • Timesheets
    • Get timesheets summary
      GET
    • Get detailed timesheets an employee
      GET
  • Commissions
    • Get commissions summary
      GET
    • Get detailed commissions breakdown for a staff member
      GET
  • Sales Goals
    • Get sales goals data
      GET
  1. Commissions

Get detailed commissions breakdown for a staff member

GET
/api/rest/commissions/shop/{shopId}/staff/{personnelId}
Returns detailed commission information including all commission plans and their sales for a specific staff member

Request

Authorization
Path Params

Query Params

Responses

🟢200
application/json
Successful response
Body

🟠400
🟠404
🟠429
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/api/rest/commissions/shop//staff/?locationIds&from&to'
Response Response Example
{
    "success": true,
    "data": {
        "id": 0,
        "name": "string",
        "salesCount": 0,
        "grossSales": 0,
        "averageAmountPerSale": 0,
        "salesAmountPerLabourHour": 0,
        "commission": 0,
        "commissions": [
            {
                "planName": "string",
                "type": "string",
                "commission": 0,
                "status": "string",
                "sales": [
                    {
                        "orderDate": "string",
                        "orderId": "string",
                        "type": "string",
                        "commissionedProducts": {},
                        "salesAmount": 0,
                        "attributedStaff": [
                            "string"
                        ],
                        "commissionableSales": 0,
                        "commission": 0
                    }
                ]
            }
        ]
    }
}
Previous
Get commissions summary
Next
Get sales goals data